package com.cedarsoft.hudson.bears;

import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;

import java.net.MalformedURLException;
import java.net.URL;

/**
 *
 */
public class StatusUrls {
  @NotNull
  @NonNls
  public static final String SUFFIX = "/api/xml";
  /**
   * The critical projects
   */
  @NotNull
  @NonNls
  public static final String CRITICAL_PROJECTS = "view/Critical%20Projects";


  @NotNull
  @NonNls
  public final String server;

  @NotNull
  private final URL all;
  @NotNull
  private final URL critical;

  public StatusUrls( @NotNull @NonNls String server ) throws MalformedURLException {
    if ( server.endsWith( "/" ) ) {
      this.server = server;
    } else {
      this.server = server + "/";
    }

    all = new URL( this.server + SUFFIX );
    critical = new URL( this.server + CRITICAL_PROJECTS + SUFFIX );
  }

  @NotNull
  public URL getCritical() {
    return critical;
  }

  @NotNull
  public URL getAll() {
    return all;
  }
}